/* (C)opyrigth by Mauri Sahlberg 1990,1991,1992
   This file is distributed under following conditions:
   - You may freely copy and distribute this program as long as it
     is distributed in original form.
   - This header may not be modified and must not be removed.
   - No warranty is given. If this program nukes your machine, I plead
     not guilty. Any kind of damage this program does to your software,
     hardware or your person is on your own responsibility.
   - If you wish to include this program or its source as part of
     comercial package you should ask my permission to do so.
   - If you find this program usefull, you should at least send me a postcard.
     Feedback is always welcome. (You may also buy me beer :-)		
*/

/*
Program   : Name-WB 1.0 
File      : name_logo.c
Last edit : 10/20/92
Created   : 
Version   : 1.7

History   : 

Does      : Invokes do_name(void) to create a name.
	   
*/

#include <curses.h>
#include "ruutu.h"
#include "mform.h"

static char *id = "Name-WB 1.7 10/20/92";	

extern char *do_name(void);

/* Outputs copyrights and other nonsense. Generated with forms V1.0BETA */

void put_name_logo()
{
  char teksti[80]="";
  int tmp=0;
  int rivi=0;

  clear();
  move(0,0);
  refresh();
  my_box(0,0,21,79);		
  move(6,29);
  attron(A_UNDERLINE);
  move(6,26);
  printw("%s",id);
  move(6,42);
  attroff(A_UNDERLINE);
  move(8,34);
  printw("by");
  move(10,26);
  printw("Mauri");
  move(10,32);
  printw("\"mos\"");
  move(10,38);
  printw("Sahlberg");
  move(13,16);
  attron(A_BOLD);
  move(13,16);
  printw("(C)opyright by Mauri Sahlberg, Helsinki 1992");
  move(13,60);
  attroff(A_BOLD);
  move(20,2);
  attron(A_REVERSE);
  move(20,2);
  printw("Press any key to continue!");
  move(20,28);
  attroff(A_REVERSE);
  printw(" ");		/* AT386 doesn't stop A_REVERSE until something is */
  refresh();		/* output, clear wouldn't help. */
}

int main(int ac, char **av)
{
  char *name=NULL;

  if(ac != 1) {		
    printf("Usage: %s\n",av[0]);
    printf("%s\n",id);
    return 1;
  }

  falku();		/* Starts curses. */
  put_name_logo();	/* The logo. */
  getch();		
  name = do_name();	/* Actually does the name. */
  floppu();		/* Curses off. */
  free(name);		/* No need for returnede name. */
  return 0;
}

